@import url('s768/news.css');

#header {
  --header-bg: var(--header-bg-none);
  --nav-color: var(--nav-color-dark);
}

#news-main {
  --pd: 160px;
  .top-wrapper {
    background-image: url('../images/news/banner_news.jpg');
    background-position: center top;
    background-repeat: no-repeat;
    background-size: cover;
    padding: 0 var(--pd);
    position: relative;
    aspect-ratio: 1920/700;
    box-sizing: border-box;

    display: flex;
    flex-direction: column;
    justify-content: space-between;

    .news-title {
      display: flex;
      justify-content: center;
      .news-title-text {
        background: linear-gradient(
          to right,
          rgba(255, 255, 255, 0.01) 5%,
          rgba(255, 255, 255, 0.05) 10%,
          rgba(255, 255, 255, 0.5) 15%,
          rgba(255, 255, 255, 0.9),
          rgba(255, 255, 255, 0.5) 85%,
          rgba(255, 255, 255, 0.05) 90%,
          rgba(255, 255, 255, 0.01) 5%
        );

        padding: 0 300px;
        height: 150px;

        display: flex;
        justify-content: center;
        align-items: center;
        white-space: nowrap;

        font-size: 56px;
        font-weight: bold;
        color: #00705c;
      }
    }

    .news-nav {
      --h: 80px;
      display: flex;
      height: var(--h);
      background-color: #f0f4f5;

      display: flex;
      justify-content: space-between;
      align-items: center;
      color: #666666;

      position: relative;
      bottom: 10px;

      .nav-tabs {
        align-self: stretch;
        display: flex;
        align-items: center;

        .nav-tab {
          padding: 0 30px;
          font-size: 24px;
          align-self: stretch;
          display: flex;
          align-items: center;
          cursor: pointer;

          &.is-active {
            background-color: #52b64d;
            color: #ffffff;
          }
        }
      }

      & > *:last-child {
        padding: 0 60px;
      }
    }
  }

  .content-wrapper {
    padding: 50px var(--pd);
    position: relative;
    background-color: #f0f4f5;

    .content-item {
      padding: 50px 0;
      border-bottom: 1px solid #dadada;
    }

    .news-item-box {
      padding: 30px 0;
      display: grid;
      grid-template-columns: repeat(4, 1fr);
      gap: 80px;

      .news-item {
        display: flex;
        flex-direction: column;
        gap: 20px;

        .news-item-img {
          border-radius: 10px;
          aspect-ratio: 840 / 470;
          overflow: hidden;
          & > img {
            width: 100%;
            height: 100%;
            object-fit: cover;
          }
        }

        .news-item-date {
          font-size: 20px;
          color: #00705c;
        }

        .news-item-desc {
          font-size: 20px;
          color: #222222;
          line-height: 1.5;
          height: 60px;

          & > a {
            text-decoration: none;
            color: #222222;
          }

          a:hover {
            text-decoration: underline;
          }
        }
      }
    }

    .content-page {
      --size: 28px;
      --color: #666666;
      display: flex;
      justify-content: center;
      align-items: center;
      padding: 25px;
      color: var(--color);

      font-size: 18px;

      & > * {
        height: var(--size);
      }

      .page-prev,
      .page-next {
        --size: 22px;
        cursor: pointer;
        border-radius: 50%;
        width: var(--size);
        height: var(--size);
        display: flex;
        flex-shrink: 0;
        justify-content: center;
        align-items: center;

        & > svg {
          --s: 20px;
          width: var(--s);
          height: var(--s);
          fill: var(--color);
        }

        &:hover {
          background-color: rgba(0, 0, 0, 0.3);

          & > svg {
            fill: #ffffff;
          }
        }
      }

      .page-num {
        display: flex;
        align-items: center;
        font-size: 14px;
        gap: 5px;
        padding: 0 10px;
        flex-shrink: 0;

        .page-num-item {
          width: var(--size);
          height: var(--size);
          display: flex;
          justify-content: center;
          align-items: center;
          border-radius: 50%;

          cursor: pointer;

          &.is-active {
            background-color: #38a073;
            color: #ffffff;
          }

          &:hover {
            background-color: rgba(0, 0, 0, 0.2);
            color: #ffffff;
          }
        }
      }

      .page-total {
        margin: 0 15px;
      }

      .page-go {
        & > input {
          width: 50px;
          outline: none;
          font-size: 16px;
          border: none;
          height: calc(var(--size) - 5px);
          text-align: center;
          color: var(--color);
        }
      }
    }
  }

  .progress-wrapper {
    padding: 30px var(--pd);
    position: relative;

    .progress-title {
      font-size: 36px;
      text-align: center;
      font-weight: bold;
      margin-top: 50px;
    }

    .progress-main {
      position: relative;

      img {
        width: 100%;
      }

      .progress-item-wrapper {
        position: absolute;
        display: block;
        width: 100%;
        aspect-ratio: 1601/720;

        .progress-item {
          position: absolute;
          width: 200px;

          .item-desc {
            font-size: 20px;
            color: #666666;
            word-break: break-all;
            white-space: wrap;
          }

          .item-date {
            font-size: 38px;
            color: #00705c;
            font-weight: bold;
          }
        }

        &:nth-child(1) {
          top: 0;

          .progress-item {
            &:nth-child(1) {
              left: 6%;
              top: 46.5%;
            }

            &:nth-child(2) {
              left: 23%;
              top: 27.5%;
            }

            &:nth-child(3) {
              left: 42.2%;
              top: 15.5%;
            }

            &:nth-child(4) {
              left: 67.5%;
              top: 4.2%;
            }

            &:nth-child(5) {
              left: 88.5%;
              top: 0;
            }
          }
        }

        &:nth-child(2) {
          top: 69%;

          .progress-item {
            &:nth-child(1) {
              left: 14.5%;
              top: 17.2%;
            }

            &:nth-child(2) {
              left: 29.8%;
              top: 11.5%;
            }

            &:nth-child(3) {
              left: 47%;
              top: 10.2%;
            }

            &:nth-child(4) {
              left: 63.3%;
              top: 6%;
            }

            &:nth-child(5) {
              left: 84%;
              top: 0;
            }
          }
        }
      }
    }
  }
}
